Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.portlet.state
Class ProducerPortletInvoker

    java.lang.Object
      org.jboss.portal.portlet.PortletInvokerInterceptor
          org.jboss.portal.portlet.state.producer.ProducerPortletInvoker
              org.jboss.portal.core.impl.portlet.state.ProducerPortletInvoker

All Implemented Interfaces:
  org.jboss.portal.portlet.PortletInvoker

    public class ProducerPortletInvoker

extends org.jboss.portal.portlet.state.producer.ProducerPortletInvoker

The subclass is used to be able to add AOP behavior.

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Constructor Summary
`ProducerPortletInvoker()`

Method Summary
`org.jboss.portal.portlet.PortletContext` | `createClone(org.jboss.portal.portlet.PortletContext portletContext)`
`java.util.List` | `destroyClones(java.util.List portletIds)`
`org.jboss.portal.portlet.invocation.response.PortletInvocationResponse` | `invoke(org.jboss.portal.portlet.invocation.PortletInvocation invocation)`

Methods inherited from class org.jboss.portal.portlet.state.producer.ProducerPortletInvoker
`getPersistenceManager, getPortlet, getProperties, getProperties, getStateConverter, getStateManagementPolicy, setPersistenceManager, setProperties, setStateConverter, setStateManagementPolicy`

Methods inherited from class org.jboss.portal.portlet.PortletInvokerInterceptor
`getNext, getPortlets, setNext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProducerPortletInvoker

    public ProducerPortletInvoker()

Method Detail

### createClone

    public org.jboss.portal.portlet.PortletContext createClone(org.jboss.portal.portlet.PortletContext portletContext)
                                                        throws java.lang.IllegalArgumentException,
                                                               org.jboss.portal.portlet.PortletInvokerException,
                                                               java.lang.UnsupportedOperationException

  Specified by:
    `createClone` in interface `org.jboss.portal.portlet.PortletInvoker`
  Overrides:
    `createClone` in class `org.jboss.portal.portlet.state.producer.ProducerPortletInvoker`
  Throws:
    `java.lang.IllegalArgumentException`
    `org.jboss.portal.portlet.PortletInvokerException`
    `java.lang.UnsupportedOperationException`

### destroyClones

    public java.util.List destroyClones(java.util.List portletIds)
                                 throws java.lang.IllegalArgumentException,
                                        org.jboss.portal.portlet.PortletInvokerException,
                                        java.lang.UnsupportedOperationException

  Specified by:
    `destroyClones` in interface `org.jboss.portal.portlet.PortletInvoker`
  Overrides:
    `destroyClones` in class `org.jboss.portal.portlet.state.producer.ProducerPortletInvoker`
  Throws:
    `java.lang.IllegalArgumentException`
    `org.jboss.portal.portlet.PortletInvokerException`
    `java.lang.UnsupportedOperationException`

### invoke

    public org.jboss.portal.portlet.invocation.response.PortletInvocationResponse invoke(org.jboss.portal.portlet.invocation.PortletInvocation invocation)
                                                                                  throws org.jboss.portal.portlet.PortletInvokerException,
                                                                                         org.jboss.portal.common.invocation.InvocationException

  Specified by:
    `invoke` in interface `org.jboss.portal.portlet.PortletInvoker`
  Overrides:
    `invoke` in class `org.jboss.portal.portlet.state.producer.ProducerPortletInvoker`
  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`
    `org.jboss.portal.common.invocation.InvocationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD